<script lang="ts">
	export let title: string;
	export let image: string;
    export let until = "6 days"
    export let color: string;

    let src;

    fetch(`https://pixabay.com/api/?key=10937717-4c60c4f4ce95a9e4164402d21&q=${(image || title).replaceAll(" ", "+")}&image_type=photo&pretty=true&per_page=3`)
    .then(r => r.json())
    .then(j => src = j.hits[0].webformatURL)
</script>

<main class={color}>
    <img {src} alt="">
    <div>
        <b>{title}</b>
        <span>{until} until</span>
    </div>
</main>


<style>
    main {
        display: flex;
        width: 100%;

        border-radius: 0.5em;
        box-shadow: rgba(10, 10, 10, 0.2) 0px 8px 24px;
        background: #eeeeee;
    }

    main.brown      { background: #8B451333 }
    main.cyan       { background: #00FFFF33 }
    main.blue       { background: #0000FF33 }
    main.green      { background: #00FF0033 }
    main.orange     { background: #FF7F0033 }
    main.red        { background: #FF000033 }

    img {
        width: 4.5em;
        height: 4.5em;
        object-fit: cover;
        border-radius: 0.5em 0 0 0.5em;
    }
    
    div {
        width: 100%;
        padding-left: 1em;

        display: flex;
        flex-direction: column;
        justify-content: center;
    }
</style>